Expand my Community achievements bar.

Dive into Adobe Summit 2024! Explore curated list of AEM sessions & labs, register, connect with experts, ask questions, engage, and share insights. Don't miss the excitement.
SOLVED

Backend changes not detected in sightly component

Avatar

Level 2

Hi All,

I am getting below error while building an sightly component.The component was working fine , i made certain changes in java class  for that component.The new changes are not detected  in logs in can see following errors:

05.07.2016 14:31:09.150 *ERROR* [pool-6-thread-16] com.adobe.aem.sightly.ide.impl.SightlyBeanFinderImpl unable to load classfinder information java.lang.NullPointerException: null at org.clapper.util.classutil.ClassFinder.processJar(ClassFinder.java:477) at org.clapper.util.classutil.ClassFinder.findClasses(ClassFinder.java:339) at com.adobe.aem.sightly.ide.impl.SightlyBeanFinderImpl.loadClassFinder(SightlyBeanFinderImpl.java:129) at com.adobe.aem.sightly.ide.impl.SightlyBeanFinderImpl.handleEvent(SightlyBeanFinderImpl.java:212) at org.apache.felix.eventadmin.impl.handler.EventHandlerProxy.sendEvent(EventHandlerProxy.java:415) at org.apache.felix.eventadmin.impl.tasks.SyncDeliverTasks.execute(SyncDeliverTasks.java:118) at org.apache.felix.eventadmin.impl.handler.EventAdminImpl.sendEvent(EventAdminImpl.java:147) at org.apache.felix.eventadmin.impl.security.EventAdminSecurityDecorator.sendEvent(EventAdminSecurityDecorator.java:96) at org.apache.sling.jcr.resource.internal.OakResourceListener.sendOsgiEvent(OakResourceListener.java:256) at org.apache.sling.jcr.resource.internal.OakResourceListener.changed(OakResourceListener.java:142) at org.apache.jackrabbit.oak.plugins.observation.NodeObserver$NodeEventHandler.leave(NodeObserver.java:217) at org.apache.jackrabbit.oak.plugins.observation.FilteredHandler.leave(FilteredHandler.java:51) at org.apache.jackrabbit.oak.plugins.observation.EventGenerator$Continuation.run(EventGenerator.java:175) at org.apache.jackrabbit.oak.plugins.observation.EventGenerator.generate(EventGenerator.java:117) at org.apache.jackrabbit.oak.plugins.observation.NodeObserver.contentChanged(NodeObserver.java:162) at org.apache.jackrabbit.oak.spi.commit.BackgroundObserver$1$1.call(BackgroundObserver.java:124) at org.apache.jackrabbit.oak.spi.commit.BackgroundObserver$1$1.call(BackgroundObserver.java:118) at java.util.concurrent.FutureTask.run(FutureTask.java:266) at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)

 

 

05.07.2016 14:35:15.291 *ERROR* [10.43.32.118 [1467743715235] GET /content/test.html HTTP/1.1] com.adobe.cq.sightly.WCMUsePojo Failed to activate Use class
1 Accepted Solution

Avatar

Correct answer by
Level 2

Manually deleted the bundle and re installed  from felix console fixed the issue for me

View solution in original post

6 Replies

Avatar

Level 7

Hope you have 

<dependency>
            <groupId>org.apache.sling</groupId>
            <artifactId>org.apache.sling.models.api</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>com.adobe.aem</groupId>
            <artifactId>aem-api</artifactId>
            <version>6.0.0.1</version>
            <scope>provided</scope>
        </dependency>

Also it seems you need to include https://github.com/Adobe-Marketing-Cloud/aem-sightly-ide-api as dependency in your application.

these two dependencies in your bundle pom file.

Avatar

Level 2

Hi Tuhin,

Thanks for the reply,one thing i forgot to mention that this is fine on local environment and even the dev.Fails on one of the testing environment.

So i have all dependencies that are needed.(and  i am not using sling models)

 

 

Thanks

Yagyesh

Avatar

Level 7

Oh, that's great, in a way. 

Then you need to make sure that all the repository urls are open to your testing env, and all dependencies/jars are updated in env. Make sure the build process takes care of that, whether you use bamboo or jenkins they integrate very well with maven.

Thanks

Tuhin

Avatar

Level 2

So the updated code does not brings in  any new dependency.The component used to work there was one enhnancement to the component .In that enhancement  one more method was added to java class .The old part still woks , the enhancement section doesnot work.

I packaged the bundle and verified the code it is there.

I guess 

om.adobe.aem.sightly.ide.impl.SightlyBeanFinderImpl  this is responsible for refreshing the changes on bundles .

DO you know what is bundle that holds this ? 

Thanks

Yagyesh

Avatar

Correct answer by
Level 2

Manually deleted the bundle and re installed  from felix console fixed the issue for me